Loading...
Searching...
No Matches
fifo_queues.h File Reference
`#include <core/task.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_st_fifo_taskq

## Data Structure Documentation

## starpu_st_fifo_taskq

struct starpu_st_fifo_taskq

Data Fields
struct starpu_task_list | taskq | the actual list
unsigned | ntasks | the number of tasks currently in the queue
unsigned | pipeline_ntasks | the number of tasks already pushed to the worker
unsigned * | ntasks_per_priority | the number of tasks currently in the queue corresponding to each priority
unsigned | nprocessed | the number of tasks that were processed
double | exp_start | only meaningful if the queue is only used by a single worker
double | exp_end | Expected start date of next item to do in the queue (i.e. not started yet). This is thus updated when we start it.
double | exp_len | Expected end date of last task in the queue
double * | exp_len_per_priority | Expected duration of the set of tasks in the queue
double | pipeline_len | Expected duration of the set of tasks in the queue corresponding to each priority